Redmine - Defect #17078

Submitting a task through email generates invalid issue ID after Redmine upgrade
2014-06-04 10:17 - pootzko cmik

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version: 251

Description
Hi,

we recently upgraded Redmine from 1.0.5 to 2.5.1 using the following guide:
http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

Everything works really, really well except one thing. We noticed that issues submitted through email don't generate a valid issue_id.
The email notification about newly created issue arrives, and the link to the "new issue" exists but the ID of the new issues is actually
not a brand new one but one from a previously existing task.

For example, if | submit a task regularly through the Redmine web interface, a task with an issue_id of 16701 gets created. | create a
new one, it gets an issue_id of 16702. Both can be previewed fine. Then | submit a task through email and it gets an issue_id of for
example 16422. The thing is, information from the new email submitted issues is nowhere in the database (I queried the tables
manually and couldn't find the newly submitted information). Instead, 16422 is and ID of a previously existing issue (and the link from
the email points to that old issue).

Submitting tasks through email worked properly while we were using Redmine v1.0.5
What seems to me is that the issue_id counter (located somewhere in the DB?) does not work as it's supposed to. Since the issue_id
already exists in the database, the DB insert query somehow gets dropped but the email notification still gets sent. | couldn't find any

error logs for this.

We thought this was happening on some older project which haven't been used in a while so we tried to create a new task manually
through the web interface in hope that it would re-initialize the issue_id counter and make it work properly but it didn't.

Could you perhaps tell me if this can be fixed manually somehow and where is this issue_id counter (seed?) located?
We are currently on Redmine 2.5.1 (pre-bundled through turnkey-redmine-13 linux distribution).

MySQL 5.5.37

Ruby 1.9.3p194

Rails 3.2.17

Thanks in advance, and thanks for the great product :)

Associated revisions

Revision 13195 - 2014-06-30 10:03 - Toshi MARUYAMA

add test of issue id in sending mail when issue is created by mail (#17078)

History

#1 - 2014-06-05 07:07 - Toshi MARUYAMA

- Category changed from Issues to Email notifications

#2 - 2014-06-05 07:08 - Toshi MARUYAMA

- Category changed from Email notifications to Email receiving

#3 - 2014-06-05 07:09 - Toshi MARUYAMA

- Category changed from Email receiving to Issues
http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

#4 - 2014-06-05 07:11 - Toshi MARUYAMA

- Category changed from Issues to Email receiving

#5 - 2014-06-30 09:04 - pootzko cmik
Any hints on this? :)

#6 - 2014-06-30 09:37 - Toshi MARUYAMA

Do you use plugins or modifications?

#7 - 2014-06-30 09:41 - pootzko cmik

We have the following three plugins installed:

https://github.com/bugherd/redmine_bugherd (we noticed the submission bug even before installing this one)
http://www.redmine.org/plugins/redmine_image_clipboard_paste
http://redminecrm.com/projects/checklist/pages/1

Other than that, we have no custom modifications.

#8 - 2014-06-30 11:16 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Cant reproduce

| added r13195 test and it passes.
One of your plugins breaks.

#9 - 2014-06-30 11:19 - pootzko cmik

Thank you, we will disable the plugins, test the functionality without them and get back to you.
